# LicensePlateScannerResult class

The result of the license plate scanning.

## Constructors

LicensePlateScannerResult.new({required String countryCode, required String licensePlate, required String rawText, double confidence = 0.0, bool validationSuccessful = false, ImageRef? croppedImage})
LicensePlateScannerResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

confidence → double
  Recognition confidence.
  final
countryCode → String
  Country code.
  final
croppedImage → ImageRef?
  The part of the image on which the plate was detected.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
licensePlate → String
  License plate.
  final
rawText → String
  Raw recognized string.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
validationSuccessful → bool
  Text validation result.
  final

## Methods

encodeImages() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited